
using Gready_Poang.EntityLayer;

namespace Gready_Poang.DataLayer;

public interface ICombinedRepository
{
    IEnumerable<RoundBuilderElement> roundBuilderElements();
    IEnumerable<RoundBuilderElement> roundBuilderElementsDb();
    IEnumerable<RoundBuilderElement> roundBuilderElementsDbById(int GameId);
    IEnumerable<RoundBuilderElement> roundBuilderElementsTotal();
    IEnumerable<RoundBuilderElement> roundBuilderElementsTotalById(int roundId);
}